/*
 * Generated file. Do not edit.
 *
 * Locales: 2
 * Strings: 184 (92.0 per locale)
 *
 * Built on 2022-12-06 at 15:51 UTC
 */

import 'package:flutter/widgets.dart';

const AppLocale _baseLocale = AppLocale.th;
AppLocale _currLocale = _baseLocale;

/// Supported locales, see extension methods below.
///
/// Usage:
/// - LocaleSettings.setLocale(AppLocale.th) // set locale
/// - Locale locale = AppLocale.th.flutterLocale // get flutter locale from enum
/// - if (LocaleSettings.currentLocale == AppLocale.th) // locale check
enum AppLocale {
  th, // 'th' (base locale, fallback)
  en, // 'en'
}

/// Method A: Simple
///
/// No rebuild after locale change.
/// Translation happens during initialization of the widget (call of AppLocalizations).
///
/// Usage:
/// String a = AppLocalizations.someKey.anotherKey;
/// String b = AppLocalizations['someKey.anotherKey']; // Only for edge cases!
_TranslationsTh _AppLocalizations = _currLocale.translations;
_TranslationsTh get AppLocalizations => _AppLocalizations;

/// Method B: Advanced
///
/// All widgets using this method will trigger a rebuild when locale changes.
/// Use this if you have e.g. a settings page where the user can select the locale during runtime.
///
/// Step 1:
/// wrap your App with
/// TranslationProvider(
/// 	child: MyApp()
/// );
///
/// Step 2:
/// final AppLocalizations = Translations.of(context); // Get AppLocalizations variable.
/// String a = AppLocalizations.someKey.anotherKey; // Use AppLocalizations variable.
/// String b = AppLocalizations['someKey.anotherKey']; // Only for edge cases!
class Translations {
  Translations._(); // no constructor

  static _TranslationsTh of(BuildContext context) {
    final inheritedWidget =
        context.dependOnInheritedWidgetOfExactType<_InheritedLocaleData>();
    if (inheritedWidget == null) {
      throw 'Please wrap your app with "TranslationProvider".';
    }
    return inheritedWidget.translations;
  }
}

class LocaleSettings {
  LocaleSettings._(); // no constructor

  /// Uses locale of the device, fallbacks to base locale.
  /// Returns the locale which has been set.
  static AppLocale useDeviceLocale() {
    final locale = AppLocaleUtils.findDeviceLocale();
    return setLocale(locale);
  }

  /// Sets locale
  /// Returns the locale which has been set.
  static AppLocale setLocale(AppLocale locale) {
    _currLocale = locale;
    _AppLocalizations = _currLocale.translations;

    // force rebuild if TranslationProvider is used
    _translationProviderKey.currentState?.setLocale(_currLocale);

    return _currLocale;
  }

  /// Sets locale using string tag (e.g. en_US, de-DE, fr)
  /// Fallbacks to base locale.
  /// Returns the locale which has been set.
  static AppLocale setLocaleRaw(String rawLocale) {
    final locale = AppLocaleUtils.parse(rawLocale);
    return setLocale(locale);
  }

  /// Gets current locale.
  static AppLocale get currentLocale {
    return _currLocale;
  }

  /// Gets base locale.
  static AppLocale get baseLocale {
    return _baseLocale;
  }

  /// Gets supported locales in string format.
  static List<String> get supportedLocalesRaw {
    return AppLocale.values.map((locale) => locale.languageTag).toList();
  }

  /// Gets supported locales (as Locale objects) with base locale sorted first.
  static List<Locale> get supportedLocales {
    return AppLocale.values.map((locale) => locale.flutterLocale).toList();
  }
}

/// Provides utility functions without any side effects.
class AppLocaleUtils {
  AppLocaleUtils._(); // no constructor

  /// Returns the locale of the device as the enum type.
  /// Fallbacks to base locale.
  static AppLocale findDeviceLocale() {
    final String? deviceLocale =
        WidgetsBinding.instance.window.locale.toLanguageTag();
    if (deviceLocale != null) {
      final typedLocale = _selectLocale(deviceLocale);
      if (typedLocale != null) {
        return typedLocale;
      }
    }
    return _baseLocale;
  }

  /// Returns the enum type of the raw locale.
  /// Fallbacks to base locale.
  static AppLocale parse(String rawLocale) {
    return _selectLocale(rawLocale) ?? _baseLocale;
  }
}

// context enums

// interfaces generated as mixins

// translation instances

late _TranslationsTh _translationsTh = _TranslationsTh.build();
late _TranslationsEn _translationsEn = _TranslationsEn.build();

// extensions for AppLocale

extension AppLocaleExtensions on AppLocale {
  /// Gets the translation instance managed by this library.
  /// [TranslationProvider] is using this instance.
  /// The plural resolvers are set via [LocaleSettings].
  _TranslationsTh get translations {
    switch (this) {
      case AppLocale.th:
        return _translationsTh;
      case AppLocale.en:
        return _translationsEn;
    }
  }

  /// Gets a new translation instance.
  /// [LocaleSettings] has no effect here.
  /// Suitable for dependency injection and unit tests.
  ///
  /// Usage:
  /// final t = AppLocale.th.build(); // build
  /// String a = t.my.path; // access
  _TranslationsTh build() {
    switch (this) {
      case AppLocale.th:
        return _TranslationsTh.build();
      case AppLocale.en:
        return _TranslationsEn.build();
    }
  }

  String get languageTag {
    switch (this) {
      case AppLocale.th:
        return 'th';
      case AppLocale.en:
        return 'en';
    }
  }

  Locale get flutterLocale {
    switch (this) {
      case AppLocale.th:
        return const Locale.fromSubtags(languageCode: 'th');
      case AppLocale.en:
        return const Locale.fromSubtags(languageCode: 'en');
    }
  }
}

extension StringAppLocaleExtensions on String {
  AppLocale? toAppLocale() {
    switch (this) {
      case 'th':
        return AppLocale.th;
      case 'en':
        return AppLocale.en;
      default:
        return null;
    }
  }
}

// wrappers

GlobalKey<_TranslationProviderState> _translationProviderKey =
    GlobalKey<_TranslationProviderState>();

class TranslationProvider extends StatefulWidget {
  TranslationProvider({required this.child})
      : super(key: _translationProviderKey);

  final Widget child;

  @override
  _TranslationProviderState createState() => _TranslationProviderState();

  static _InheritedLocaleData of(BuildContext context) {
    final inheritedWidget =
        context.dependOnInheritedWidgetOfExactType<_InheritedLocaleData>();
    if (inheritedWidget == null) {
      throw 'Please wrap your app with "TranslationProvider".';
    }
    return inheritedWidget;
  }
}

class _TranslationProviderState extends State<TranslationProvider> {
  AppLocale locale = _currLocale;

  void setLocale(AppLocale newLocale) {
    setState(() {
      locale = newLocale;
    });
  }

  @override
  Widget build(BuildContext context) {
    return _InheritedLocaleData(
      locale: locale,
      child: widget.child,
    );
  }
}

class _InheritedLocaleData extends InheritedWidget {
  final AppLocale locale;
  Locale get flutterLocale => locale.flutterLocale; // shortcut
  final _TranslationsTh translations; // store translations to avoid switch call

  _InheritedLocaleData({required this.locale, required Widget child})
      : translations = locale.translations,
        super(child: child);

  @override
  bool updateShouldNotify(_InheritedLocaleData oldWidget) {
    return oldWidget.locale != locale;
  }
}

// pluralization feature not used

// helpers

final _localeRegex =
    RegExp(r'^([a-z]{2,8})?([_-]([A-Za-z]{4}))?([_-]?([A-Z]{2}|[0-9]{3}))?$');
AppLocale? _selectLocale(String localeRaw) {
  final match = _localeRegex.firstMatch(localeRaw);
  AppLocale? selected;
  if (match != null) {
    final language = match.group(1);
    final country = match.group(5);

    // match exactly
    selected = AppLocale.values.cast<AppLocale?>().firstWhere(
        (supported) => supported?.languageTag == localeRaw.replaceAll('_', '-'),
        orElse: () => null);

    if (selected == null && language != null) {
      // match language
      selected = AppLocale.values.cast<AppLocale?>().firstWhere(
          (supported) => supported?.languageTag.startsWith(language) == true,
          orElse: () => null);
    }

    if (selected == null && country != null) {
      // match country
      selected = AppLocale.values.cast<AppLocale?>().firstWhere(
          (supported) => supported?.languageTag.contains(country) == true,
          orElse: () => null);
    }
  }
  return selected;
}

// translations

// Path: <root>
class _TranslationsTh {
  /// You can call this constructor and build your own translation instance of this locale.
  /// Constructing via the enum [AppLocale.build] is preferred.
  _TranslationsTh.build();

  /// Access flat map
  dynamic operator [](String key) => _flatMap[key];

  // Internal flat map initialized lazily
  late final Map<String, dynamic> _flatMap = _buildFlatMap();

  late final _TranslationsTh _root = this; // ignore: unused_field

  // Translations
  late final _TranslationsHomeTh home = _TranslationsHomeTh._(_root);
  late final _TranslationsLandingTh landing = _TranslationsLandingTh._(_root);
  late final _TranslationsProductsTh products =
      _TranslationsProductsTh._(_root);
  late final _TranslationsDialogTh dialog = _TranslationsDialogTh._(_root);
  late final _TranslationsMenuTh menu = _TranslationsMenuTh._(_root);
  late final _TranslationsGlobalTh global = _TranslationsGlobalTh._(_root);
}

// Path: home
class _TranslationsHomeTh {
  _TranslationsHomeTh._(this._root);

  final _TranslationsTh _root; // ignore: unused_field

  // Translations
  String get search_product => 'ค้นหาผลงาน';
  String get search_product_en => 'search product';
  String get new_idea_th_title1 => 'ผลงานมา';
  String get new_idea_th_title2 => 'ใหม่';
  String get new_idea_en_title1 => 'New';
  String get new_idea_en_title2 => 'Idea';
  String get user_ex_th_title1 => 'ประสบการณ์จาก';
  String get user_ex_th_title2 => 'ผู้ใช้งาน';
  String get user_ex_en_title1 => 'User';
  String get user_ex_en_title2 => 'Experience';
  String get category_th_title1 => 'หมวด';
  String get category_th_title2 => 'หมู่';

  String get category_en_title1 => 'Catego';
  String get category_en_title2 => 'ry';
  String get all_idea => 'ผลงานทั้งหมด';
  String get all_idea_en => 'All Product';
}

// Path: landing
class _TranslationsLandingTh {
  _TranslationsLandingTh._(this._root);

  final _TranslationsTh _root; // ignore: unused_field

  // Translations
  String get home_page => 'หน้าหลัก';
  String get home_page_en => 'Home Page';
  String get ip_mart => 'IP Mart';
  String get business_matching => 'นัดหมายธุรกิจ';
  String get business_matching_en => 'Business Matching';
  String get favorite => 'รายการโปรด';
  String get favorite_en => 'Favorite';
  String get profile => 'โปรไฟล์';
  String get profile_en => 'Profile';
  String get workings => 'ผลงาน';
  String get workings_en => 'Workings';
  String get chat => 'พูดคุย';
  String get chat_en => 'Chat';
}

// Path: products
class _TranslationsProductsTh {
  _TranslationsProductsTh._(this._root);

  final _TranslationsTh _root; // ignore: unused_field

  // Translations
  String get search_product => 'ค้นหาผลงาน';
  String get search_product_en => 'search product';
  String get all_idea => 'ผลงานทั้งหมด';
  String get all_idea_en => 'All';

  String get all => 'ทั้งหมด';
  String get all_en => 'total';

  String get explore_idea_th_title1 => 'ค้นหาความเป็นไปได้';
  String get explore_idea_th_title2 => 'ของธุรกิจคุณ';
  String get explore_idea_en_title1 => 'Explore';
  String get explore_idea_en_title2 => 'Idea';
  String get idea_en => 'Idea';
  String get idea => 'ผลงาน';
  String get filter_title_1 => 'ค้นหา';
  String get filter_title_1_en => 'Search';
  String get filter_title_2 => 'แบบละเอียด';
  String get filter_title_2_en => 'Advance';
  String get intellectual => 'ทรัพย์สินทางปัญญา';
  String get intellectual_en => 'Intellectual Type';
  String get product_type => 'ประเภททรัพย์สินทางปัญญา';
  String get price_level => 'ระดับราคา';
  String get price_level_en => 'Price Level';
  String get show_more => 'แสดงเพิ่มเติ่ม';
  String interested_person({required Object qty}) => '$qty คนที่ให้ความสนใจ';
  String qty_of_comment({required Object qty}) => '$qty ความคิดเห็น';
  String get share => 'แชร์';
  String get save => 'บันทึก';
  String get product_category => 'หมวดหมู่อุตสาหกรรม';
  String get detail_title_1 => 'รายละเอียด';
  String get detail_title_2 => 'ผลงาน';
  String get product => 'ผลิตภัณฑ์';
  String get seller_detail => 'รายละเอียดผู้ขาย';
  String get location_title_1 => 'สถานที่';
  String get location_title_2 => 'จำหน่ายผลิตภัณฑ์';
  String get industrial_group_title_1 => 'กลุ่มอุตสาหกรรม';
  String get industrial_group_title_2 => 'เป้าหมาย';
  String get registration_info_title_1 => 'ข้อมูลทะเบียน';
  String get registration_info_title_2 => 'ทรัพย์สินทางปัญญา';
  String get mark_name => 'ชื่อเครื่องหมาย';
  String get request_no => 'เลขที่คำขอ/แจ้งจด';
  String get patent_no => 'เลขที่สิทธิบัตร';
  String get request_date => 'วันที่ยื่นคำขอ';
  String get expire_date => 'วันที่สิ้นอายุ';
  String get requester_name => 'ชื่อผู้ขอ (ผู้ขาย)';
  String get requester_address => 'ที่อยู่ผู้ขอ (ผู้ขาย)';
  String get product_service => 'รายการผลิตภัณฑ์บริการ';
  String get comment_title_1 => 'ความคิดเห็น';
  String get comment_title_2 => 'เกี่ยวกับผลงาน';
  String get add_comment => 'เพิ่มความคิดเห็น';
  String get send => 'ส่ง';
  String get show_review_all => 'แสดงรีวิวทั้งหมด';
  String get may_be_interest_title_1 => 'ผลงาน';
  String get may_be_interest_title_2 => 'ที่คุณอาจจะสนใจ';
  String get from => 'From';
  String get to => 'To';
  String get clean => 'ล้าง';
  String get clean_en => 'Clear';
  String get saerch => 'ค้นหา';
  String get saerch_en => 'Search';
  String get or_more => 'ขึ่นไป';
  String get business_meeting => 'นัดหมายเจรจาธุรกิจ';
  String get date_meeting => 'วันที่ต้องการนัดหมาย';
  String get time_meeting => 'เวลาที่ต้องการนัดหมาย';
  String get meeting_purpose => 'จุดประสงค์ในการนัดหมาย';
  String get meeting_purpose1 => 'ต้องการรายละเอียด';
  String get meeting_purpose2 => 'ต้องการใบเสนอราคา';
  String get meeting_purpose3 => 'อื่นๆ';
  String get product_interesting => 'ผลิตภัณที่สนใจ';
  String get detail_to_seller => 'รายละเอียดถึงผู้ขาย';
  String get create_meeting => 'ทำการนัดหมาย';
  String get confirm_meeting_title1 => 'ยืนยันการ';
  String get confirm_meeting_title2 => 'นัดหมาย';
  String get seller_info => 'ข้อมูลผู้ขาย';
  String get meeting_detail => 'รายละเอียดการนัดหมาย';
  String get need_detail_more => 'ต้องการรายละเอียด';
  String get need_price_offer => 'ต้องการใบเสนอราคา';
  String get other => 'อื่นๆ';
  String get intellectual_filter_title => 'ประเภททรัพย์สินทางปัญญา';
  String get intellectual_filter_title_en => 'Intellectual Filter';
  String get category_filter_title => 'หมวดหมู่ผลงาน';
  String get category_filter_title_en => 'Category Filter';
  String get like => 'ถูกใจ';
  String get add_to_cart => 'เพิ่มลงตะกร้า';
  String get contract_form => 'รูปแบบสัญญา';
  String get price => 'ราคา';

  String get request_number_en => "Request Number";
  String get request_name_en => "Request Name";
  String get request_date_en => "Request Date";
  String get expire_date_en => "Expre Date";
  String get name_en => "Name";
  String get address_of_request_name_en => "address_of_request_name";
  String get certificate_number_en => "Certificate Number";
  String get certificate_date_en => "Certificate Date";

  String get request_number => "เลขที่คำขอ";
  String get request_name => "ชื่อผู้ขอ (ผู้ขาย)";
  String get request_date_th => "วันที่ยื่นคำขอ";
  String get expire_date_th => "วันสิ้นอายุ";
  String get name => "ชื่อการประดิษฐ์/การออกแบบผลิตภัณฑ์";
  String get address_of_request_name => "ที่อยู่ผู้ขอ (ผู้ขาย)";
  String get certificate_number => "เลขที่สิทธิบัตร";
  String get certificate_date => "วันที่ออกสิทธิบัตร";
}

// Path: dialog
class _TranslationsDialogTh {
  _TranslationsDialogTh._(this._root);

  final _TranslationsTh _root; // ignore: unused_field

  // Translations
  String get warning => 'แจ้งเตือน';
  String get ok => 'ตกลง';
  String get cancel => 'ยกเลิก';
}

// Path: menu
class _TranslationsMenuTh {
  _TranslationsMenuTh._(this._root);

  final _TranslationsTh _root; // ignore: unused_field

  // Translations
  String get menu => 'เมนู';
  String get menu_en => 'Menu';
  String get home_page => 'หน้าหลัก';
  String get home_page_en => 'Home Page';
  String get offer => 'การเสนอซื้อ';
  String get offer_en => 'Purchase List';
  String get intellecture_product => 'ผลิตภัณฑ์ทรัพย์สินทางปัญญา';
  String get intellecture_product_en => 'Intellecture Product';
  String get business_meeting => 'การนัดหมายเจรจาธุรกิจ';
  String get business_meeting_en => 'Business Meeting';
  String get aboutus => 'เกี่ยวกับเรา';
  String get aboutus_en => 'About US';
  String get contactus => 'ติดต่อเรา';
  String get contactus_en => 'Contact US';
  String get achievements_and_innovations_of_partner_agencies =>
      'ผลงานของหน่วยงานพันธมิตร';
  String get achievements_and_innovations_of_partner_agencies_en =>
      'Achievements And Innovations Of Partner Agencies';

  String get logout => 'ออกจากระบบ';
  String get logout_en => 'Logout';
  String get cart => 'รายการผลงานในตะกร้า';
  String get cart_en => 'Cart';
  String get seller => 'ผู้ขาย';
  String get seller_en => 'Seller';
  String get store_system => 'เสนอขาย';
  String get store_system_en => 'Store System';
}

// Path: global
class _TranslationsGlobalTh {
  _TranslationsGlobalTh._(this._root);

  final _TranslationsTh _root; // ignore: unused_field

  // Translations
  String get ok => 'ตกลง';
  String get cancel => 'ยกเลิก';
}

// Path: <root>
class _TranslationsEn implements _TranslationsTh {
  /// You can call this constructor and build your own translation instance of this locale.
  /// Constructing via the enum [AppLocale.build] is preferred.
  _TranslationsEn.build();

  /// Access flat map
  @override
  dynamic operator [](String key) => _flatMap[key];

  // Internal flat map initialized lazily
  @override
  late final Map<String, dynamic> _flatMap = _buildFlatMap();

  @override
  late final _TranslationsEn _root = this; // ignore: unused_field

  // Translations
  @override
  late final _TranslationsHomeEn home = _TranslationsHomeEn._(_root);
  @override
  late final _TranslationsLandingEn landing = _TranslationsLandingEn._(_root);
  @override
  late final _TranslationsProductsEn products =
      _TranslationsProductsEn._(_root);
  @override
  late final _TranslationsDialogEn dialog = _TranslationsDialogEn._(_root);
  @override
  late final _TranslationsMenuEn menu = _TranslationsMenuEn._(_root);
  @override
  late final _TranslationsGlobalEn global = _TranslationsGlobalEn._(_root);
}

// Path: home
class _TranslationsHomeEn implements _TranslationsHomeTh {
  _TranslationsHomeEn._(this._root);

  @override
  final _TranslationsEn _root; // ignore: unused_field

  // Translations
  @override
  String get search_product => 'ค้นหาผลงาน';
  @override
  String get search_product_en => 'search product';
  @override
  String get new_idea_th_title1 => 'ผลงานมา';
  @override
  String get new_idea_th_title2 => 'ใหม่';
  @override
  String get new_idea_en_title1 => 'New';
  @override
  String get new_idea_en_title2 => 'Idea';
  @override
  String get user_ex_th_title1 => 'ประสบการณ์จาก';

  @override
  String get user_ex_th_title2 => 'ผู้ใช้งาน';
  @override
  String get user_ex_en_title1 => 'User';
  @override
  String get user_ex_en_title2 => 'Experience';
  @override
  String get category_th_title1 => 'หมวด';
  @override
  String get category_th_title2 => 'หมู่';
  @override
  String get category_en_title1 => 'Catog';
  @override
  String get category_en_title2 => 'ry';
  @override
  String get category_en => 'Category';
  @override
  String get all_idea => 'ผลงานทั้งหมด';
  @override
  String get all_idea_en => 'All Idea';
}

// Path: landing
class _TranslationsLandingEn implements _TranslationsLandingTh {
  _TranslationsLandingEn._(this._root);

  @override
  final _TranslationsEn _root; // ignore: unused_field

  // Translations
  @override
  String get home_page => 'หน้าหลัก';
  @override
  String get home_page_en => 'Home Page';
  @override
  String get ip_mart => 'IP Mart';
  @override
  String get business_matching => 'นัดหมายธุรกิจ';
  @override
  String get business_matching_en => 'Business Matching';
  @override
  String get favorite => 'รายการโปรด';
  @override
  String get favorite_en => 'Favorite';
  @override
  String get profile => 'โปรไฟล์';
  @override
  String get profile_en => 'Profile';
  @override
  String get workings => 'ผลงาน';
  @override
  String get workings_en => 'Workings';
  @override
  String get chat => 'พูดคุย';
  @override
  String get chat_en => 'Chat';
}

// Path: products
class _TranslationsProductsEn implements _TranslationsProductsTh {
  _TranslationsProductsEn._(this._root);

  @override
  final _TranslationsEn _root; // ignore: unused_field

  // Translations
  @override
  String get search_product => 'ค้นหาผลงาน';
  @override
  String get search_product_en => 'search product';
  @override
  String get all_idea => 'ผลงานทั้งหมด';
  @override
  String get all_idea_en => 'All Idea';
  @override
  String get all => 'ทั้งหมด';
  @override
  String get all_en => 'All';

  @override
  String get explore_idea_th_title1 => 'ค้นหาความเป็นไปได้';
  @override
  String get explore_idea_th_title2 => 'ของธุรกิจคุณ';
  @override
  String get explore_idea_en_title1 => 'Explore';
  @override
  String get explore_idea_en_title2 => 'Idea';
  @override
  String get idea => 'ผลงาน';
  @override
  String get idea_en => 'Idea';
  @override
  String get filter_title_1 => 'ค้นหา';
  @override
  String get filter_title_1_en => 'Search';
  @override
  String get filter_title_2 => 'แบบละเอียด';
  @override
  String get filter_title_2_en => 'Advance';
  @override
  String get intellectual => 'ทรัพย์สินทางปัญญา';
  @override
  String get intellectual_en => 'Intellectual';
  @override
  String get product_type => 'ประเภททรัพย์สินทางปัญญา';
  @override
  String get product_type_en => 'Product Type';
  @override
  String get price_level => 'ระดับราคา';
  @override
  String get price_level_en => 'Price Level';
  @override
  String get show_more => 'แสดงเพิ่มเติ่ม';
  @override
  String interested_person({required Object qty}) => '$qty คนที่ให้ความสนใจ';
  @override
  String qty_of_comment({required Object qty}) => '$qty ความคิดเห็น';
  @override
  String get share => 'แชร์';
  @override
  String get save => 'บันทึก';
  @override
  String get product_category => 'หมวดหมู่อุตสาหกรรม';
  @override
  String get detail_title_1 => 'รายละเอียด';
  @override
  String get detail_title_2 => 'ผลงาน';
  @override
  String get product => 'ผลิตภัณฑ์';
  @override
  String get seller_detail => 'รายละเอียดผู้ขาย';
  @override
  String get location_title_1 => 'สถานที่';
  @override
  String get location_title_2 => 'จำหน่ายผลิตภัณฑ์';
  @override
  String get industrial_group_title_1 => 'กลุ่มอุตสาหกรรม';
  @override
  String get industrial_group_title_2 => 'เป้าหมาย';
  @override
  String get registration_info_title_1 => 'ข้อมูลทะเบียน';
  @override
  String get registration_info_title_2 => 'ทรัพย์สินทางปัญญา';
  @override
  String get mark_name => 'ชื่อเครื่องหมาย';
  @override
  String get request_no => 'เลขที่คำขอ/แจ้งจด';
  @override
  String get patent_no => 'เลขที่สิทธิบัตร';
  @override
  String get request_date => 'วันที่ยื่นคำขอ';
  @override
  String get expire_date => 'วันที่สิ้นอายุ';
  @override
  String get requester_name => 'ชื่อผู้ขอ (ผู้ขาย)';
  @override
  String get requester_address => 'ที่อยู่ผู้ขอ (ผู้ขาย)';
  @override
  String get product_service => 'รายการผลิตภัณฑ์บริการ';
  @override
  String get comment_title_1 => 'ความคิดเห็น';
  @override
  String get comment_title_2 => 'เกี่ยวกับผลงาน';
  @override
  String get add_comment => 'เพิ่มความคิดเห็น';
  @override
  String get send => 'ส่ง';
  @override
  String get show_review_all => 'แสดงรีวิวทั้งหมด';
  @override
  String get may_be_interest_title_1 => 'ผลงาน';
  @override
  String get may_be_interest_title_2 => 'ที่คุณอาจจะสนใจ';
  @override
  String get from => 'From';
  @override
  String get to => 'To';
  @override
  String get clean => 'ล้าง';
  @override
  String get clean_en => 'Clear';
  @override
  String get saerch => 'ค้นหา';
  @override
  String get saerch_en => 'Search';
  @override
  String get or_more => 'ขึ่นไป';
  @override
  String get business_meeting => 'นัดหมายเจรจาธุรกิจ';
  @override
  String get aboutus => 'เกี่ยวกับเรา';
  @override
  String get contactus => 'ติดต่อเรา';
  @override
  String get achievements_and_innovations_of_partner_agencies =>
      'ผลงานของหน่วยงานพันธมิตร';

  @override
  String get date_meeting => 'วันที่ต้องการนัดหมาย';
  @override
  String get time_meeting => 'เวลาที่ต้องการนัดหมาย';
  @override
  String get meeting_purpose => 'จุดประสงค์ในการนัดหมาย';
  @override
  String get meeting_purpose1 => 'ต้องการรายละเอียด';
  @override
  String get meeting_purpose2 => 'ต้องการใบเสนอราคา';
  @override
  String get meeting_purpose3 => 'อื่นๆ';
  @override
  String get product_interesting => 'ผลิตภัณที่สนใจ';
  @override
  String get detail_to_seller => 'รายละเอียดถึงผู้ขาย';
  @override
  String get create_meeting => 'ทำการนัดหมาย';
  @override
  String get confirm_meeting_title1 => 'ยืนยันการ';
  @override
  String get confirm_meeting_title2 => 'นัดหมาย';
  @override
  String get seller_info => 'ข้อมูลผู้ขาย';
  @override
  String get meeting_detail => 'รายละเอียดการนัดหมาย';
  @override
  String get need_detail_more => 'ต้องการรายละเอียด';
  @override
  String get need_price_offer => 'ต้องการใบเสนอราคา';
  @override
  String get other => 'อื่นๆ';
  @override
  String get intellectual_filter_title => 'ประเภททรัพย์สินทางปัญญา';
  @override
  String get intellectual_filter_title_en => 'Intellectual Filter';
  @override
  String get category_filter_title => 'หมวดหมู่ผลงาน';
  @override
  String get category_filter_title_en => 'Category Filter';
  @override
  String get like => 'ถูกใจ';
  @override
  String get add_to_cart => 'เพิ่มลงตะกร้า';
  @override
  String get contract_form => 'รูปแบบสัญญา';
  @override
  String get price => 'ราคา';

  @override
  String get request_number_en => "Request Number";
  @override
  String get request_name_en => "Request Name";
  @override
  String get request_date_en => "Request Date";
  @override
  String get expire_date_en => "Expre Date";
  @override
  String get name_en => "Name";
  @override
  String get address_of_request_name_en => "address_of_request_name";
  @override
  String get certificate_number_en => "Certificate Number";
  @override
  String get certificate_date_en => "Certificate Date";
  @override
  @override
  String get request_number => "เลขที่คำขอ";
  @override
  String get request_name => "ชื่อผู้ขอ (ผู้ขาย)";
  @override
  String get request_date_th => "วันที่ยื่นคำขอ";
  @override
  String get expire_date_th => "วันสิ้นอายุ";
  @override
  String get name => "ชื่อการประดิษฐ์/การออกแบบผลิตภัณฑ์";
  @override
  String get address_of_request_name => "ที่อยู่ผู้ขอ (ผู้ขาย)";
  @override
  String get certificate_number => "เลขที่อนุสิทธิบัตร";
  @override
  String get certificate_date => "วันที่ออกอนุสิทธิบัตร";
}

// Path: dialog
class _TranslationsDialogEn implements _TranslationsDialogTh {
  _TranslationsDialogEn._(this._root);

  @override
  final _TranslationsEn _root; // ignore: unused_field

  // Translations
  @override
  String get warning => 'แจ้งเตือน';
  @override
  String get ok => 'ตกลง';
  @override
  String get cancel => 'ยกเลิก';
}

// Path: menu
class _TranslationsMenuEn implements _TranslationsMenuTh {
  _TranslationsMenuEn._(this._root);

  @override
  final _TranslationsEn _root; // ignore: unused_field

  // Translations
  @override
  String get menu => 'เมนู';
  @override
  String get menu_en => 'Menu';
  @override
  String get home_page => 'หน้าหลัก';
  @override
  String get home_page_en => 'Home Page';
  @override
  String get offer => 'การเสนอซื้อ';
  @override
  String get offer_en => 'Purchase List';
  @override
  String get intellecture_product => 'ผลิตภัณฑ์ทรัพย์สินทางปัญญา';
  @override
  String get intellecture_product_en => 'Intellecture Product';
  @override
  String get business_meeting => 'การนัดหมายเจรจาธุรกิจ';
  @override
  String get business_meeting_en => 'Business Meeting';
  @override
  String get aboutus => 'เกี่ยวกับเรา';
  @override
  String get aboutus_en => 'About US';
  @override
  String get contactus => 'ติดต่อเรา';
  @override
  String get contactus_en => 'Contact US';
  @override
  String get achievements_and_innovations_of_partner_agencies =>
      'ผลงานของหน่วยงานพันธมิตร';
  @override
  String get achievements_and_innovations_of_partner_agencies_en =>
      'Achievements And Innovations Of Partner Agencies';
  @override
  String get logout => 'ออกจากระบบ';
  @override
  String get logout_en => 'Logout';
  @override
  String get cart => 'รายการผลงานในตะกร้า';
  @override
  String get cart_en => 'Cart';
  @override
  String get seller => 'ผู้ขาย';
  @override
  String get seller_en => 'Seller';
  @override
  String get store_system => 'เสนอขาย';
  @override
  String get store_system_en => 'Store System';
}

// Path: global
class _TranslationsGlobalEn implements _TranslationsGlobalTh {
  _TranslationsGlobalEn._(this._root);

  @override
  final _TranslationsEn _root; // ignore: unused_field

  // Translations
  @override
  String get ok => 'ตกลง';
  @override
  String get cancel => 'ยกเลิก';
}

/// Flat map(s) containing all translations.
/// Only for edge cases! For simple maps, use the map function of this library.

extension on _TranslationsTh {
  Map<String, dynamic> _buildFlatMap() {
    return <String, dynamic>{
      'home.search_product': 'ค้นหาผลงาน',
      'home.search_product_en': 'search product',
      'home.new_idea': 'ผลงานมาใหม่',
      'home.new_idea_en': 'New Idea',
      'home.category': 'หมวดหมู่',
      'home.category_en': 'Catagory',
      'home.all_idea': 'ผลงานทั้งหมด',
      'home.all_idea_en': 'All Product',
      'home.all_ide': 'All Product',
      'home.all_idea_en': 'All Product',
      'home.user_ex_th_title1': 'ประสบการณ์จากผู้ใช้งาน',
      'home.user_ex_th_title2': 'ผู้ใช้งาน',
      'home.user_ex_en_title1': 'User',
      'home.user_ex_en_title2': 'Experience',
      'landing.home_page': 'หน้าหลัก',
      'landing.home_page_en': 'Home Page',
      'landing.ip_mart': 'IP Mart',
      'landing.business_matching': 'นัดหมายธุรกิจ',
      'landing.business_matching_en': 'Business Matching',
      'landing.favorite': 'รายการโปรด',
      'landing.favorite_en': 'Favorite',
      'landing.profile': 'โปรไฟล์',
      'landing.profile_en': 'Profile',
      'landing.workings': 'ผลงาน',
      'landing.workings_en': 'Workings',
      'landing.chat': 'พูดคุย',
      'landing.chat_en': 'Chat',
      'products.search_product': 'ค้นหาผลงาน',
      'products.search_product_en': 'search product',
      'products.all_idea': 'ผลงานทั้งหมด',
      'products.all_idea_en': 'All Idea',
      'products.all': 'ทั้งหมด',
      'products.all': 'All',
      'products.idea': 'ผลงาน',
      'products.filter_title_1': 'ค้นหา',
      'products.filter_title_1_en': 'Search',
      'products.filter_title_2': 'แบบละเอียด',
      'products.filter_title_2_en': 'Advance',
      'products.intellectual': 'ทรัพย์สินทางปัญญา',
      'products.product_type': 'ประเภททรัพย์สินทางปัญญา',
      'products.price_level': 'ระดับราคา',
      'products.show_more': 'แสดงเพิ่มเติ่ม',
      'products.interested_person': ({required Object qty}) =>
          '$qty คนที่ให้ความสนใจ',
      'products.qty_of_comment': ({required Object qty}) => '$qty ความคิดเห็น',
      'products.share': 'แชร์',
      'products.save': 'บันทึก',
      'products.product_category': 'หมวดหมู่อุตสาหกรรม',
      'products.detail_title_1': 'รายละเอียด',
      'products.detail_title_2': 'ผลงาน',
      'products.product': 'ผลิตภัณฑ์',
      'products.seller_detail': 'รายละเอียดผู้ขาย',
      'products.location_title_1': 'สถานที่',
      'products.location_title_2': 'จำหน่ายผลิตภัณฑ์',
      'products.industrial_group_title_1': 'กลุ่มอุตสาหกรรม',
      'products.industrial_group_title_2': 'เป้าหมาย',
      'products.registration_info_title_1': 'ข้อมูลทะเบียน',
      'products.registration_info_title_2': 'ทรัพย์สินทางปัญญา',
      'products.mark_name': 'ชื่อเครื่องหมาย',
      'products.request_no': 'เลขที่คำขอ/แจ้งจด',
      'products.patent_no': 'เลขที่สิทธิบัตร',
      'products.request_date': 'วันที่ยื่นคำขอ',
      'products.expire_date': 'วันที่สิ้นอายุ',
      'products.requester_name': 'ชื่อผู้ขอ (ผู้ขาย)',
      'products.requester_address': 'ที่อยู่ผู้ขอ (ผู้ขาย)',
      'products.product_service': 'รายการผลิตภัณฑ์บริการ',
      'products.comment_title_1': 'ความคิดเห็น',
      'products.comment_title_2': 'เกี่ยวกับผลงาน',
      'products.add_comment': 'เพิ่มความคิดเห็น',
      'products.send': 'ส่ง',
      'products.show_review_all': 'แสดงรีวิวทั้งหมด',
      'products.may_be_interest_title_1': 'ผลงาน',
      'products.may_be_interest_title_2': 'ที่คุณอาจจะสนใจ',
      'products.from': 'From',
      'products.to': 'To',
      'products.clean': 'ล้าง',
      'products.clean_en': 'Clear',
      'products.saerch': 'ค้นหา',
      'products.saerch_en': 'Search',
      'products.or_more': 'ขึ่นไป',
      'products.business_meeting': 'นัดหมายเจรจาธุรกิจ',
      'products.date_meeting': 'วันที่ต้องการนัดหมาย',
      'products.time_meeting': 'เวลาที่ต้องการนัดหมาย',
      'products.meeting_purpose': 'จุดประสงค์ในการนัดหมาย',
      'products.meeting_purpose1': 'ต้องการรายละเอียด',
      'products.meeting_purpose2': 'ต้องการใบเสนอราคา',
      'products.meeting_purpose3': 'อื่นๆ',
      'products.product_interesting': 'ผลิตภัณที่สนใจ',
      'products.detail_to_seller': 'รายละเอียดถึงผู้ขาย',
      'products.create_meeting': 'ทำการนัดหมาย',
      'products.confirm_meeting_title1': 'ยืนยันการ',
      'products.confirm_meeting_title2': 'นัดหมาย',
      'products.seller_info': 'ข้อมูลผู้ขาย',
      'products.meeting_detail': 'รายละเอียดการนัดหมาย',
      'products.need_detail_more': 'ต้องการรายละเอียด',
      'products.need_price_offer': 'ต้องการใบเสนอราคา',
      'products.other': 'อื่นๆ',
      'products.intellectual_filter_title': 'ประเภททรัพย์สินทางปัญญา',
      'products.category_filter_title': 'หมวดหมู่ผลงาน',
      'products.like': 'ถูกใจ',
      'products.add_to_cart': 'เพิ่มลงตะกร้า',
      'products.contract_form': 'รูปแบบสัญญา',
      'products.price': 'ราคา',
      'dialog.warning': 'แจ้งเตือน',
      'dialog.ok': 'ตกลง',
      'dialog.cancel': 'ยกเลิก',
      'menu.menu': 'เมนู',
      'menu.home_page': 'หน้าหลัก',
      'menu.offer': 'การเสนอซื้อ',
      'menu.intellecture_product': 'ผลิตภัณฑ์ทรัพย์สินทางปัญญา',
      'menu.business_meeting': 'การนัดหมายเจรจาธุรกิจ',
      'menu.logout': 'ออกจากระบบ',
      'menu.seller': 'ผู้ขาย',
      'menu.store_system': 'เสนอขาย',
      'global.ok': 'ตกลง',
      'global.cancel': 'ยกเลิก',
    };
  }
}

extension on _TranslationsEn {
  Map<String, dynamic> _buildFlatMap() {
    return <String, dynamic>{
      'home.search_product': 'ค้นหาผลงาน',
      'home.search_product_en': 'search product',
      'home.new_idea': 'ผลงานมาใหม่',
      'home.new_idea_en': 'New Idea',
      'home.category': 'หมวดหมู่',
      'home.category_en': 'Catagory',
      'home.all_idea': 'ผลงานทั้งหมด',
      'home.all_idea_en': 'All Idea',
      'home.user_ex_th_title1': 'ประสบการณ์จากผู้ใช้งาน',
      'home.user_ex_th_title2': 'ผู้ใช้งาน',
      'home.user_ex_en_title1': 'User',
      'home.user_ex_en_title2': 'Experience',
      'landing.home_page': 'หน้าหลัก',
      'landing.home_page_en': 'Home Page',
      'landing.ip_mart': 'IP Mart',
      'landing.business_matching': 'นัดหมายธุรกิจ',
      'landing.business_matching_en': 'Business Matching',
      'landing.favorite': 'รายการโปรด',
      'landing.favorite_en': 'Favorite',
      'landing.profile': 'โปรไฟล์',
      'landing.profile_en': 'Profile',
      'landing.workings': 'ผลงาน',
      'landing.workings_en': 'Workings',
      'landing.chat': 'พูดคุย',
      'landing.chat_en': 'Chat',
      'products.search_product': 'ค้นหาผลงาน',
      'products.search_product_en': 'search product',
      'products.all_idea': 'ผลงานทั้งหมด',
      'products.all_idea': 'All Idea',
      'products.all': 'ทั้งหมด',
      'products.all': 'All',
      'products.idea': 'ผลงาน',
      'products.filter_title_1': 'ค้นหา',
      'products.filter_title_1_en': 'Search',
      'products.filter_title_2': 'แบบละเอียด',
      'products.filter_title_2_en': 'แบบละเอียด',
      'products.intellectual': 'ทรัพย์สินทางปัญญา',
      'products.product_type': 'ประเภททรัพย์สินทางปัญญา',
      'products.price_level': 'ระดับราคา',
      'products.show_more': 'แสดงเพิ่มเติ่ม',
      'products.interested_person': ({required Object qty}) =>
          '$qty คนที่ให้ความสนใจ',
      'products.qty_of_comment': ({required Object qty}) => '$qty ความคิดเห็น',
      'products.share': 'แชร์',
      'products.save': 'บันทึก',
      'products.product_category': 'หมวดหมู่อุตสาหกรรม',
      'products.detail_title_1': 'รายละเอียด',
      'products.detail_title_2': 'ผลงาน',
      'products.product': 'ผลิตภัณฑ์',
      'products.seller_detail': 'รายละเอียดผู้ขาย',
      'products.location_title_1': 'สถานที่',
      'products.location_title_2': 'จำหน่ายผลิตภัณฑ์',
      'products.industrial_group_title_1': 'กลุ่มอุตสาหกรรม',
      'products.industrial_group_title_2': 'เป้าหมาย',
      'products.registration_info_title_1': 'ข้อมูลทะเบียน',
      'products.registration_info_title_2': 'ทรัพย์สินทางปัญญา',
      'products.mark_name': 'ชื่อเครื่องหมาย',
      'products.request_no': 'เลขที่คำขอ/แจ้งจด',
      'products.patent_no': 'เลขที่สิทธิบัตร',
      'products.request_date': 'วันที่ยื่นคำขอ',
      'products.expire_date': 'วันที่สิ้นอายุ',
      'products.requester_name': 'ชื่อผู้ขอ (ผู้ขาย)',
      'products.requester_address': 'ที่อยู่ผู้ขอ (ผู้ขาย)',
      'products.product_service': 'รายการผลิตภัณฑ์บริการ',
      'products.comment_title_1': 'ความคิดเห็น',
      'products.comment_title_2': 'เกี่ยวกับผลงาน',
      'products.add_comment': 'เพิ่มความคิดเห็น',
      'products.send': 'ส่ง',
      'products.show_review_all': 'แสดงรีวิวทั้งหมด',
      'products.may_be_interest_title_1': 'ผลงาน',
      'products.may_be_interest_title_2': 'ที่คุณอาจจะสนใจ',
      'products.from': 'From',
      'products.to': 'To',
      'products.clean': 'ล้าง',
      'products.saerch': 'ค้นหา',
      'products.or_more': 'ขึ่นไป',
      'products.business_meeting': 'นัดหมายเจรจาธุรกิจ',
      'products.date_meeting': 'วันที่ต้องการนัดหมาย',
      'products.time_meeting': 'เวลาที่ต้องการนัดหมาย',
      'products.meeting_purpose': 'จุดประสงค์ในการนัดหมาย',
      'products.meeting_purpose1': 'ต้องการรายละเอียด',
      'products.meeting_purpose2': 'ต้องการใบเสนอราคา',
      'products.meeting_purpose3': 'อื่นๆ',
      'products.product_interesting': 'ผลิตภัณที่สนใจ',
      'products.detail_to_seller': 'รายละเอียดถึงผู้ขาย',
      'products.create_meeting': 'ทำการนัดหมาย',
      'products.confirm_meeting_title1': 'ยืนยันการ',
      'products.confirm_meeting_title2': 'นัดหมาย',
      'products.seller_info': 'ข้อมูลผู้ขาย',
      'products.meeting_detail': 'รายละเอียดการนัดหมาย',
      'products.need_detail_more': 'ต้องการรายละเอียด',
      'products.need_price_offer': 'ต้องการใบเสนอราคา',
      'products.other': 'อื่นๆ',
      'products.intellectual_filter_title': 'ประเภททรัพย์สินทางปัญญา',
      'products.category_filter_title': 'หมวดหมู่ผลงาน',
      'products.like': 'ถูกใจ',
      'products.add_to_cart': 'เพิ่มลงตะกร้า',
      'products.contract_form': 'รูปแบบสัญญา',
      'products.price': 'ราคา',
      'dialog.warning': 'แจ้งเตือน',
      'dialog.ok': 'ตกลง',
      'dialog.cancel': 'ยกเลิก',
      'menu.menu': 'เมนู',
      'menu.home_page': 'หน้าหลัก',
      'menu.offer': 'การเสนอซื้อ',
      'menu.intellecture_product': 'ผลิตภัณฑ์ทรัพย์สินทางปัญญา',
      'menu.business_meeting': 'การนัดหมายเจรจาธุรกิจ',
      'menu.logout': 'ออกจากระบบ',
      'menu.seller': 'ผู้ขาย',
      'menu.store_system': 'เสนอขาย',
      'global.ok': 'ตกลง',
      'global.cancel': 'ยกเลิก',
    };
  }
}
