class UserExModel {
  Result? result;

  UserExModel({this.result});

  UserExModel.fromJson(Map<String, dynamic> json) {
    result =
        json['result'] != null ? new Result.fromJson(json['result']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.result != null) {
      data['result'] = this.result!.toJson();
    }
    return data;
  }
}

class Result {
  int? currentPage;
  List<Data>? data;
  String? firstPageUrl;
  int? from;
  int? lastPage;
  String? lastPageUrl;
  List<Links>? links;
  Null? nextPageUrl;
  String? path;
  int? perPage;
  Null? prevPageUrl;
  int? to;
  int? total;

  Result(
      {this.currentPage,
      this.data,
      this.firstPageUrl,
      this.from,
      this.lastPage,
      this.lastPageUrl,
      this.links,
      this.nextPageUrl,
      this.path,
      this.perPage,
      this.prevPageUrl,
      this.to,
      this.total});

  Result.fromJson(Map<String, dynamic> json) {
    currentPage = json['current_page'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(new Data.fromJson(v));
      });
    }
    firstPageUrl = json['first_page_url'];
    from = json['from'];
    lastPage = json['last_page'];
    lastPageUrl = json['last_page_url'];
    if (json['links'] != null) {
      links = <Links>[];
      json['links'].forEach((v) {
        links!.add(new Links.fromJson(v));
      });
    }
    nextPageUrl = json['next_page_url'];
    path = json['path'];
    perPage = json['per_page'];
    prevPageUrl = json['prev_page_url'];
    to = json['to'];
    total = json['total'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['current_page'] = this.currentPage;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    data['first_page_url'] = this.firstPageUrl;
    data['from'] = this.from;
    data['last_page'] = this.lastPage;
    data['last_page_url'] = this.lastPageUrl;
    if (this.links != null) {
      data['links'] = this.links!.map((v) => v.toJson()).toList();
    }
    data['next_page_url'] = this.nextPageUrl;
    data['path'] = this.path;
    data['per_page'] = this.perPage;
    data['prev_page_url'] = this.prevPageUrl;
    data['to'] = this.to;
    data['total'] = this.total;
    return data;
  }
}

class Data {
  int? id;
  String? postName;
  Null? postAuthor;
  String? postTitle;
  String? postContent;
  String? postStatus;
  String? privateStatus;
  String? postDate;
  Null? postParent;
  int? postSort;
  String? postType;
  Null? createdBy;
  Null? updatedBy;
  String? createdAt;
  String? updatedAt;
  Null? pingStatus;
  String? postExcerpt;
  Null? postTags;
  Null? expireDate;
  Null? postCover;
  String? attributeName;
  String? attributePosition;
  String? cover;
  String? image;

  Data(
      {this.id,
      this.postName,
      this.postAuthor,
      this.postTitle,
      this.postContent,
      this.postStatus,
      this.privateStatus,
      this.postDate,
      this.postParent,
      this.postSort,
      this.postType,
      this.createdBy,
      this.updatedBy,
      this.createdAt,
      this.updatedAt,
      this.pingStatus,
      this.postExcerpt,
      this.postTags,
      this.expireDate,
      this.postCover,
      this.attributeName,
      this.attributePosition,
      this.cover,
      this.image});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    postName = json['post_name'];
    postAuthor = json['post_author'];
    postTitle = json['post_title'];
    postContent = json['post_content'];
    postStatus = json['post_status'];
    privateStatus = json['private_status'];
    postDate = json['post_date'];
    postParent = json['post_parent'];
    postSort = json['post_sort'];
    postType = json['post_type'];
    createdBy = json['created_by'];
    updatedBy = json['updated_by'];
    createdAt = json['created_at'];
    updatedAt = json['updated_at'];
    pingStatus = json['ping_status'];
    postExcerpt = json['post_excerpt'];
    postTags = json['post_tags'];
    expireDate = json['expire_date'];
    postCover = json['post_cover'];
    attributeName = json['attributeName'];
    attributePosition = json['attributePosition'];
    cover = json['cover'];
    image = json['image'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['post_name'] = this.postName;
    data['post_author'] = this.postAuthor;
    data['post_title'] = this.postTitle;
    data['post_content'] = this.postContent;
    data['post_status'] = this.postStatus;
    data['private_status'] = this.privateStatus;
    data['post_date'] = this.postDate;
    data['post_parent'] = this.postParent;
    data['post_sort'] = this.postSort;
    data['post_type'] = this.postType;
    data['created_by'] = this.createdBy;
    data['updated_by'] = this.updatedBy;
    data['created_at'] = this.createdAt;
    data['updated_at'] = this.updatedAt;
    data['ping_status'] = this.pingStatus;
    data['post_excerpt'] = this.postExcerpt;
    data['post_tags'] = this.postTags;
    data['expire_date'] = this.expireDate;
    data['post_cover'] = this.postCover;
    data['attributeName'] = this.attributeName;
    data['attributePosition'] = this.attributePosition;
    data['cover'] = this.cover;
    data['image'] = this.image;
    return data;
  }
}

class Links {
  String? url;
  String? label;
  bool? active;

  Links({this.url, this.label, this.active});

  Links.fromJson(Map<String, dynamic> json) {
    url = json['url'];
    label = json['label'];
    active = json['active'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['url'] = this.url;
    data['label'] = this.label;
    data['active'] = this.active;
    return data;
  }
}
