import '../../../core/constant/app.dart';
import '../../../core/enum/flavor.dart';

class AppFlavorData {
  final String appName;
  final Flavors flavorName;
  final String webDomain;
  final String baseUrl;
  final bool apiDebugEnabled;

  AppFlavorData({
    this.appName = APP_NAME,
    required this.flavorName,
    this.baseUrl = "",
    this.webDomain = '',
    this.apiDebugEnabled = false,
  });

  AppFlavorData copyWith({bool? showApiDebug}) => AppFlavorData(
        flavorName: this.flavorName,
        appName: this.appName,
        baseUrl: this.baseUrl,
        webDomain: this.webDomain,
        apiDebugEnabled: showApiDebug ?? this.apiDebugEnabled,
      );
}
